ltgk:
  # 名称
  name: ltgk
  # 版本
  version: 1.0.0
  # 版权年份
  copyrightYear: 2024
  # 文件路径 示例（ Windows配置D:/ltgk，Linux配置 /home/ltgk）
  profile: D:/web/yugang/ltgk/ltgk/files
  # 获取ip地址开关
  addressEnabled: false
  # 验证码类型 math 数字计算 char 字符验证
  captchaType: math
# 开发环境配置
server:
  # 服务器的HTTP端口，默认为8080
  port: 6810
  servlet:
    # 应用的访问路径
    context-path: /api
  tomcat:
    protocol: org.apache.coyote.http11.Http11NioProtocol
    # tomcat的URI编码
    uri-encoding: UTF-8
    # 连接数满后的排队数，默认为100
    accept-count: 1000
    connection-timeout: 60000  # 连接超时时间（毫秒）
    threads:
      # tomcat最大线程数，默认为200
      max: 800
      # Tomcat启动初始化的线程数，默认值10
      min-spare: 100

# 日志配置
logging:
  level:
    com.ltgk: debug
    org.springframework: warn
    org.eclipse.paho: DEBUG
    org.springframework.integration: DEBUG
    org.springframework.data.solr: DEBUG
    org.springframework.web: DEBUG
    org.apache.catalina: DEBUG

# 用户配置
user:
  password:
    # 密码最大错误次数
    maxRetryCount: 5
    # 密码锁定时间（默认10分钟）
    lockTime: 10

# Spring配置
spring:
  # 资源信息
  messages:
    # 国际化资源文件路径
    basename: i18n/messages
  profiles:
    active: druid
  # 文件上传
  servlet:
    multipart:
      # 单个文件大小
      max-file-size: 200MB
      # 设置总上传的文件大小
      max-request-size: 300MB
  # 服务模块
  devtools:
    restart:
      # 热部署开关
      enabled: true

# token配置
token:
  # 令牌自定义标识
  header: Authorization
  # 令牌密钥
  secret: abcdefghijklmnopqrstuvwxyz
  # 令牌有效期（默认30分钟）
  expireTime: 30

# MyBatis配置
mybatis-plus:
  # 搜索指定包别名
  typeAliasesPackage: com.ltgk.**.domain
  # 配置mapper的扫描，找到所有的mapper.xml映射文件
  mapperLocations: classpath*:mapper/**/*Mapper.xml
  # 加载全局的配置文件
  configLocation: classpath:mybatis/mybatis-config.xml

# PageHelper分页插件
pagehelper:
  helperDialect: mysql
  supportMethodsArguments: true
  params: count=countSql

# 防止XSS攻击
xss:
  # 过滤开关
  enabled: true
  # 排除链接（多个用逗号分隔）
  excludes: /system/notice
  # 匹配链接
  urlPatterns: /system/*,/monitor/*,/tool/*
path:
  rootPath: file/ # 文件存储的跟路径,绝对路径-直接使用,相对路径-项目运行目录下
  templatePath: files/ # 导出导入模板文件、区域经纬度文件存储的跟路径
  filePattern: YYYY-MM/  # 存储目录的格式,日期格式YYYYMMddHHmmss,按照日期格式化来进行,为根目录下的一级
# 软件授权信息
licences:
  nextTime: 2026-01-01 00:00:00 # 授权到期时间
  releaseUrl: /api/login,/api/resource,/api/login,/api/resource,/api/validateLogin # 不拦截的url
# 敏感词插件敏感词配置文件
sensitive:
  allowFile: ./files/sensitive_word/sensitive_word_allow.txt
# 中国地理信息
china:
  yuhuan: ./files/yh.geojson